Meshy Rigging Multi Animation
ஒருங்கிணை
meshy/rigging/multi-animation
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging/multi-animation?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/rigging/multi-animation?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/rigging/multi-animation", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/ta/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "meshy/rigging/multi-animation",
"input": {
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}
}
Doitong API மூலம் Meshy Rigging Multi Animation மாதிரியை (meshy/rigging/multi-animation) அழைக்கவும். முகவர்களுக்கான ஆவணங்கள்: https://doitong.com/ta/developers/models/meshy/rigging/multi-animation.md
POST https://api.doitong.com/v1/run/meshy/rigging/multi-animation?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}
பதிலின் நிலை "queued" அல்லது "running" எனில், அது "succeeded" ஆகும் வரை GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 மூலம் தொடர்ந்து சரிபார்க்கவும்; கோப்புகள் outputs[].url இல் உள்ளன. அதே body-யுடன் POST https://api.doitong.com/v1/quote/meshy/rigging/multi-animation அனுப்பினால், இயக்கத்திற்கு முன் துல்லியமான விலை கிடைக்கும்.
எடுத்துக்காட்டு போன்ற கோப்புகள்: $0.44 440 API கிரெடிட்கள் இயக்குவதற்கு முன் உங்கள் கோப்புகள் அளவிடப்படும் இந்தப் பக்கத்தில் இயக்குங்கள்
உங்கள் புதிய API விசை. இது இப்போது மட்டும் காட்டப்படுகிறது; இது ஏற்கனவே கீழே உள்ள குறியீட்டிலும் API விசை புலத்திலும் உள்ளது. இதை ரகசியமாக வைத்திருங்கள்: உலாவியில் இயங்கும் குறியீட்டில் இதை ஒருபோதும் வைக்காதீர்கள்.
உங்கள் முதல் முடிவு இங்கே வரும்
கீழே ஒரு கோரிக்கையை உருவாக்கி, உங்கள் API விசையுடன் இயக்குங்கள். வெளியீடுகள் எங்கள் சேமிப்பகத்தில் நகலெடுக்கப்பட்டு, நிரந்தரமாக அல்லது இலவசமாக 7 நாட்கள் வைக்கப்படும்.
கோரிக்கையை உருவாக்கு
மாடல் ஸ்கீமாவிலிருந்து கட்டுப்பாடுகள் உருவாக்கப்படுகின்றன. அவற்றை மாற்றும்போது குறியீடும் விலையும் புதுப்பிக்கப்படும்.
/run/meshy/rigging/multi-animation?wait=20
விலை → $0.44
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/meshy/rigging/multi-animation?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/meshy/rigging/multi-animation?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92,
],
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/meshy/rigging/multi-animation", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "meshy/rigging/multi-animation",
"input": {
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
},
"wait_seconds": 20
}
}
}
இந்தக் கோரிக்கையை இயக்கு
உங்கள் key இந்த உலாவியில் மட்டுமே இருக்கும்: அது Doitong API-க்கு மட்டும் அனுப்பப்படும்; Remember-ஐத் தேர்ந்தெடுத்தால் மட்டுமே (localStorage)-ல் சேமிக்கப்படும். API விசையைப் பெறுங்கள்
Meshy Rigging Multi Animation பற்றி
`model_url` இலிருந்து மனித வடிவ GLB-ஐ ரிக் செய்து, `animation_action_ids`-இல் உள்ள ஒவ்வொரு ID-க்கும் அதே ரிக்கில் ஒரு அனிமேஷன் கிளிப்பை உருவாக்குகிறது. கிளிப்புகள் `animations` வரிசையில் கோரிக்கை வரிசைப்படியே, ரிக் செய்யப்பட்ட GLB மற்றும் FBX கோப்புகள், அடிப்படை நடை மற்றும் ஓட்ட அனிமேஷன்களுடன் திரும்பும். குறைந்தது ஒரு ID தேவை. `height_meters` கதாபாத்திரத்தின் தோராயமான உயரத்தை அமைக்கிறது.
அளவுருக்கள்
model_urlதேவை
height_metersவிருப்பத்தேர்வு
animation_action_idsதேவை
enable_safety_checkerவிருப்பத்தேர்வு
வெளியீடு
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "meshy/rigging/multi-animation",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 440,
"usd": "0.44",
"charged": 440,
"refunded": 0
},
"input": {
"model_url": "https://example.com/your-file.glb",
"animation_action_ids": [
36,
92
]
},
"output": {
"rigged_character_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"rigged_character_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"basic_animations": {
"walking_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"walking_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"walking_armature_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"running_armature_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
},
"animations": [
{
"action_id": 1,
"animation_glb": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
},
"animation_fbx": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_name": "0-output.jpeg",
"file_size": 1843200
}
}
],
"rig_task_id": "string"
},
"outputs": [
{
"type": "file",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
"content_type": "image/jpeg",
"file_size": 1843200,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
வெளியீட்டின் புலங்கள்
- rigged_character_glb
- object {url, content_type, file_name, file_size} | nullரிகிங் பயன்படுத்தப்பட்ட GLB வடிவக் கதாபாத்திரம்.
- rigged_character_fbx
- object {url, content_type, file_name, file_size} | nullரிகிங் பயன்படுத்தப்பட்ட FBX வடிவக் கதாபாத்திரம்.
- basic_animations
- object {walking_glb, walking_fbx, walking_armature_glb, running_glb, running_fbx, running_armature_glb} | nullரிகிங்கின் ஒரு பகுதியாக வழங்கப்படும் அடிப்படை நடப்பு மற்றும் ஓட்ட அனிமேஷன்கள்.
- animations
- array of object {action_id, animation_glb, animation_fbx}கோரிக்கையில் உள்ள செயல் ID-களுடன் பொருந்தும் வரிசைப்படுத்தப்பட்ட அனிமேஷன் முடிவுகள். கோரப்பட்ட ஒவ்வொரு ID-க்கும், ரிக்கைப் பயன்படுத்தி உருவாக்கப்பட்ட ஒரு கிளிப் அடங்கிய ஒரு பதிவு இருக்கும்.
- rig_task_id
- string | nullMeshy-யில் உள்ள ரிகிங் பணிக்கான அடையாளங்காட்டி.
பிற Meshy Rigging மாறுபாடுகள்
மேலும் மாதிரிகள்: 3D
AI ஏஜெண்டுகளுக்கு: இந்தப் பக்கம் Markdown வடிவில் இங்கே உள்ளது https://doitong.com/ta/developers/models/meshy/rigging/multi-animation.md. அனைத்து மாடல்களும் வழிகாட்டிகளும்: https://doitong.com/developers/llms.txt